<?php
/**
 * @package JMForm
 * @link http://www.maruny.cat/jmform
 * @license GNU/GPL
 */

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );


/**
 * JMForm Component Controller
 * @package JMForm
 */
class JmformControllerResultatstaula extends JController
{

	/**
	 * Constructor
	 * @return void
	 */
	function __construct()
	{
    	parent::__construct();
	}

	/**
	 * Accio del boto esborrar
	 * Elimina un resultat i envia a la pagina inicial
	 * @return void
	 */
	function remove()
	{
		JRequest::checkToken() or jexit( 'Invalid Token' );
				
		$model = $this->getModel( 'resultatstaula' );
		if(!$model->delete()) {
			$msg = JText::_( 'error eliminant resultat' );
			$type = 'error';
		} else {
			$msg = JText::_( 'resultat eliminat' );
			$type = 'message';
		}
		$this->setRedirect( JRoute::_( 'index.php?option=com_jmform&view=resultatstaula&fid[]='.$model->getIdForm(), false ), $msg, $type );
	}
	
	/**
	* Acci del boto enrere, torna a la llista de formularis
	* @return void
	*/
	function inici() {
		$this->setRedirect( JRoute::_( 'index.php?option=com_jmform', false ) );
	}
		
}
?>
