<?php
/**
 * @version		$Id: content.php 10381 2008-06-01 03:35:53Z pasamio $
 * @package		Joomla
 * @subpackage	Content
 * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */

/**
 * Utility class for creating HTML Grids
 *
 * @static
 * @package		Joomla
 * @subpackage	Content
 * @since		1.5
 */
class JmformJmform
{
	/**
	 * Mostra la llegenda de l'estat de publicaci del formulari
	 */
	function Legend( )
	{
		?>
		<table cellspacing="0" cellpadding="4" border="0" align="center">
		<tr align="center">
			<td>
			<img src="images/publish_y.png" width="16" height="16" border="0" alt="<?php echo JText::_( 'PENDENT' ); ?>" />
			</td>
			<td>
			<?php echo JText::_( 'PUBLICAT PERO' ); ?> <u><?php echo JText::_( 'PENDENT' ); ?></u> |
			</td>
			<td>
			<img src="images/publish_g.png" width="16" height="16" border="0" alt="<?php echo JText::_( 'VISIBLE' ); ?>" />
			</td>
			<td>
			<?php echo JText::_( 'PUBLICAT I' ); ?> <u><?php echo JText::_( 'ACTUAL' ); ?></u> |
			</td>
			<td>
			<img src="images/publish_r.png" width="16" height="16" border="0" alt="<?php echo JText::_( 'FINALITZAT' ); ?>" />
			</td>
			<td>
			<?php echo JText::_( 'PUBLICAT PERO VENCUT' ); ?> <u><?php echo JText::_( 'VENCUT' ); ?></u> |
			</td>
			<td>
			<img src="images/publish_x.png" width="16" height="16" border="0" alt="<?php echo JText::_( 'FINALITZAT' ); ?>" />
			</td>
			<td>
			<?php echo JText::_( 'NO PUBLICAT' ); ?>
			</td>
		</tr>
		<tr>
			<td colspan="10" align="center">
			<?php echo JText::_( 'CANVIAR ESTAT' ); ?>
			</td>
		</tr>
		</table>
		<?php
	}
	
	function Credits() {
		?><p align="center"><font color="#7D7D7D"><a href="http://www.maruny.cat/jmform" target="_blank"><?php echo JText::_( 'JMFORM' ); ?></a> - <?php echo JText::_( 'CREDITS' ); ?> V 1.0</font></p>
		<?php
	}
}