<?php
/**
 * @package JMForm
 * @link http://maruny.cat/jmform
 * @license GNU/GPL
 */
 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );
 
jimport('joomla.application.component.controller');
 
/**
 * JMForm Component Controller
 * @package JMForm
 */
class JmformController extends JController
{
    /**
     * Mtode per mostrar el view
     * @access public
     */
    function display()
    {
      parent::display();
    }
    
 	/**
	 * Agafa les dades del formulari i les reorganitza per guardar-les
	 * @access	public
	 */
	function submit()
	{
		$fid = JRequest::getInt( 'fid' );
		$form_data = JRequest::get('post');
		$model =& $this->getModel('jmform');
		
		$db		=& JFactory::getDBO();
		$ara =& JFactory::getDate();
		$nullDate = $db->getNullDate();
		$config	=& JFactory::getConfig();
		$dates = $model->getDates($fid);
		$data_inici =& JFactory::getDate($dates[0]);
		$data_fi =& JFactory::getDate($dates[1]);
		$data_inici->setOffset($config->getValue('config.offset'));
		$data_fi->setOffset($config->getValue('config.offset'));
		if ( ($data_inici->toUnix() <= $ara->toUnix()) && ($data_fi->toUnix() >= $ara->toUnix() || $dates[1] == $nullDate) ) {
			// Construim els parametres per a guardar en un sol camp
			$parametres = '';
			foreach($form_data as $key=>$value){
				if(is_array($value)) $value = implode(',',$value);
				$parametres .= $key.'='.$value."||\n";
			}
			$data->parametres = $parametres;
			$data->id_formulari = $fid;
			$model->store( $data );
		
			// Redireccionem a la pagina de agraiment
			if ($model->getUrlAgraiment($fid) != '') {
				$this->setRedirect( JRoute::_($model->getUrlAgraiment($fid), false ) );
			}
		} else {
			// Redireccionem a la pagina quan el formulari esta fora de dates
			$this->setRedirect( JRoute::_($model->getUrlData($fid), false ) );
		}
   }
	
}