CREATE TABLE IF NOT EXISTS `#__jmform_configuracio` (
	`parametre1` text NOT NULL DEFAULT '',
	`parametre2` varchar(50) NOT NULL DEFAULT ''
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `#__jmform_formularis` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`nom` varchar(255) NOT NULL DEFAULT '',
	`data_inici` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	`data_fi` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	`id_usuari_creador` int(11) NOT NULL DEFAULT '0',
	`data_creacio` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	`published` tinyint(1) NOT NULL DEFAULT '0',
	`avisar_noves_entrades` tinyint(1) NOT NULL DEFAULT '0',
	`email_noves_entrades` text NOT NULL DEFAULT '',
	`notes` text NOT NULL DEFAULT '',
	`url_agraiment` varchar(255) NOT NULL DEFAULT '',
	`url_data` varchar(255) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `#__jmform_camps` (
	`id` int(11) NOT NULL AUTO_INCREMENT,
	`id_formulari` int(11) NOT NULL DEFAULT '0',
	`nom` varchar(255) NOT NULL DEFAULT '',
	`ordre` int(11) NOT NULL DEFAULT '0',
	`published` tinyint(1) NOT NULL DEFAULT '1',
	`tipus` varchar(20) NOT NULL DEFAULT 'text',
	`obligatori` tinyint(1) NOT NULL DEFAULT '0',
	`validacio` varchar(50) NOT NULL DEFAULT '',
	`valor_defecte` varchar(150) NOT NULL DEFAULT '',
	`opcions` varchar(255) NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `#__jmform_resultats` (
	`id` int(11) unsigned NOT NULL AUTO_INCREMENT,
	`id_formulari` int(11) NOT NULL DEFAULT '0',
	`data` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	`id_usuari` int(11) NOT NULL DEFAULT '0',
	`parametres` text NOT NULL DEFAULT '',
	PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;