<?php
/**
 * @package JMForm
 * @link http://www.maruny.cat/jmform
 * @license GNU/GPL
 */

// no direct access

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.application.component.model' );

/**
 * JMForm Model
 * @package JMForm
 */
class JmformModelJmform extends JModel
{
	/**
	 * JMForm entry array
	 * @var array
	 */

	var $_data = null;
	
	/**
	 * Fa una consulta a la base de dades de formularis
	 * @return Un string que utilitzarem per treure la informacio de la taula
	 */
	function _buildQuery()
	{
		$query = "SELECT f.*, u.name as autor FROM #__jmform_formularis as f"
		. " LEFT JOIN `#__users` AS u on f.id_usuari_creador = u.id"
		. " ORDER BY data_creacio DESC";
	
		return $query;
	}
	
	/**
	 * Retorna les entrades de formularis
	 * @return Array d'objectes que conte la informacio de la base de dades
	 */
	function getData()
	{
		if (empty( $this->_data ))
		{
			$query = $this->_buildQuery();
			$this->_data = $this->_getList( $query );
		}
		return $this->_data;
	}

}
